Page MenuHomeFreeBSD

Add manpage for rctl_* system calls
ClosedPublic

Authored by badger on Sep 13 2016, 12:55 PM.

Details

Summary

I tried to avoid duplicating information in the rctl(8) manpage while still
making this manpage useful in its own right.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

badger updated this revision to Diff 20302.Sep 13 2016, 12:55 PM
badger retitled this revision from to Add manpage for rctl_* system calls.
badger updated this object.
badger edited the test plan for this revision. (Show Details)
trasz accepted this revision.Sep 14 2016, 3:08 PM
trasz edited edge metadata.

Looks great, thanks!

This revision is now accepted and ready to land.Sep 14 2016, 3:08 PM
wblock added a subscriber: wblock.Sep 15 2016, 2:11 AM

Very nice! My only suggestions are:

s/comma separated/comma-separated/

and

change the very formal "excepting differences described in" language to "with exceptions described in".

badger updated this revision to Diff 20360.Sep 15 2016, 3:18 AM
badger edited edge metadata.

Minor tweaks:

  • s/comma separated/comma-separated/
  • Shorten long function signature lines
  • s/excepting differences noted in/with exceptions noted in/
This revision now requires review to proceed.Sep 15 2016, 3:18 AM
trasz accepted this revision.Sep 16 2016, 11:26 AM
trasz edited edge metadata.
This revision is now accepted and ready to land.Sep 16 2016, 11:26 AM
wblock accepted this revision.Sep 16 2016, 2:00 PM
wblock added a reviewer: wblock.

Works for me. Please run mandoc -Tlint and igor -R on it to check for unexpected problems before commit.

Thanks!

This revision was automatically updated to reflect the committed changes.